# Filename: gui_integerbox.py
# Purpose:  Create a panel showing an integerbox.
# Results:  Number entered into integerbox is printed to the screen.

from maptek import vulcan_gui

pan = vulcan_gui.panel("Basic Panel")
pan.integerbox(tag='integerbox_input', prompt='Integerbox', defaultVal=None, width=20)
pan.display()

intg = pan['integerbox_input']
print(intg)